/*  JavaScript Document    */


var marqueeVars = {
	marqueeWidth: '',
	screenSize : '',
	width : 0,
	mobileSize : 766,
	autoPlay : true,
	currentPanel : 1,
	totalPanels : 0,
	timePassed : 0,
	timeToChange : 50,
	inTansition : false,
	panelContent : [],
	marqueeImage : []
}

var imageFull;

function isBlank(str) {
    return (!str || /^\s*$/.test(str));
}


function marqueeAdvanceButtonClicked(navClicked) {

	var elementClicked = jQuery('.marquee_nav div')[navClicked];
	if(marqueeVars.inTansition){
		//do nothing
	}else{

		marqueeVars.currentPanel = navClicked + 1;
		marqueeVars.inTansition = true;
		
		// set the navigation state
		jQuery('.marquee_nav div').removeClass('selected');
		jQuery(elementClicked).addClass('selected');

		
		// inject panel container
		jQuery('.marquee_stage_'+marqueeVars.screenSize).append('<div class="marquee_container_2" style="opacity:0;"></div>');
		jQuery('.marquee_container_2').html(marqueeVars.marqueeImage[navClicked]).animate({opacity:1, queue: false }, 1000, function(){
			
			jQuery('.marquee_container_1').remove();
			jQuery(this).addClass('marquee_container_1').removeClass('marquee_container_2');
			marqueeVars.inTansition = false;
		});
		

		if (jQuery('.marquee').width() < 766) {

			jQuery('.marquee_mobile_text_container').html('<div class="marquee_mobile_text_2 clearfix" style="opacity:0;"></div>');
			jQuery('.marquee_mobile_text_2').html(marqueeVars.panelContent[navClicked]).animate({opacity:1, queue: false }, 1000, function(){
				jQuery('.marquee_mobile_text_1').remove();
				jQuery(this).addClass('marquee_mobile_text_1').removeClass('marquee_mobile_text_2');
			});
			var mobileTextHeight = jQuery('.marquee_mobile_text_2').height() + 30;
			jQuery('.marquee_mobile_text_container').height(mobileTextHeight);

		}else{
			jQuery('.marquee_text_background_2').html(marqueeVars.panelContent[navClicked]).animate({opacity:1, queue: false }, 1000, function(){
				jQuery('.marquee_text_background_1').remove();
				jQuery(this).addClass('marquee_text_background_1').removeClass('marquee_text_background_2');
			});
		}

	}
	setDebuger();
}
function marqueeNext(){ 
	var nextIndex = ((marqueeVars.currentPanel) % marqueeVars.totalPanels);
	marqueeAdvanceButtonClicked(nextIndex);
}

function marqueePrev(){
	
	if (marqueeVars.currentPanel == 1) {
		var prevIndex = marqueeVars.totalPanels-1;
	}else{
		var prevIndex = marqueeVars.currentPanel-2;
	}
	marqueeAdvanceButtonClicked(prevIndex);
}

function marqueeGatherData(){
	// create and store HTML for panels
	
	jQuery('.marquee_data .marquee_panel').each(function(index){

		marqueeVars.totalPanels = index + 1;
	    imageFull = jQuery(this).attr('data-image-full');
		var imageLink  = jQuery(this).attr('data-link');
		var verticalOrientation = jQuery(this).attr('data-vertical-orientation');
		var imageLarge = jQuery(this).attr('data-image-large');
		var navConditional = jQuery(this).attr('data-nav-conditional');
		var panelCaption = jQuery(this).find('.panel_caption').html();
		var panelDescription = jQuery(this).find('.panel_description').html();
		var panelDescriptionSmall = jQuery(this).find('.panel_description_small').html();
		var panelDescriptionUpNext = jQuery(this).find('.panel_description_up_next').html();
		var textIsEmpty;

/*		console.log('imageLink = '+imageLink+ '\n' + 
             'navConditional = '+navConditional+ '\n' + 
             'verticalOrientation = '+verticalOrientation+ '\n' + 
             'panelCaption = '+panelCaption+ '\n' + 
             'panelDescription = '+panelDescription+ '\n' + 
             'panelDescriptionSmall = '+panelDescriptionSmall+ '\n' + 
             'panelDescriptionUpNext = '+panelDescriptionUpNext+ '\n' + 
             'imageFull = '+imageFull+ '\n' +  
             'imageLarge = '+imageLarge);*/

		if ((panelCaption == false || panelCaption == null) && (panelDescription == false || panelDescription == null) && (panelDescriptionSmall == false || panelDescriptionSmall == null) && (panelDescriptionUpNext == false || panelDescriptionUpNext == null)) { //if there's no text, remove gradient
			textIsEmpty = true;
		}else{
			textIsEmpty = false;
		}

		if (isBlank(imageLink)) {
			marqueeLinkOpeningTag = '';
			marqueeLinkClosingTag = '';
		}else{
			marqueeLinkOpeningTag = '<a href="'+imageLink+'" >';
			marqueeLinkClosingTag = '</a>';
		}		

		if (isBlank(panelCaption)) { panelCaptionTag = ''} else{ panelCaptionTag =  marqueeLinkOpeningTag +'<div class="panel_caption">'+panelCaption+'</div>' + marqueeLinkClosingTag};

		if (isBlank(panelDescription)) { panelDescriptionTag = ''} else{ panelDescriptionTag = marqueeLinkOpeningTag + '<div class="panel_description">'+panelDescription+'</div>' + marqueeLinkClosingTag};

		if (isBlank(panelDescriptionSmall)) { panelDescriptionSmallTag = ''} else{ panelDescriptionSmallTag = marqueeLinkOpeningTag + '<div class="panel_description_small">'+panelDescriptionSmall+'</div>' + marqueeLinkClosingTag};

		if (isBlank(panelDescriptionUpNext)) { panelDescriptionUpNextTag = ''} else{ panelDescriptionUpNextTag = '<div class="marquee-leading-bar-wrapper"><div class="marquee-text-wrapper up-next"><div class="panel_description_up_next">UP NEXT:&nbsp;&nbsp;'+panelDescriptionUpNext+'&nbsp;<i class="fa fa-angle-right up-next-arrow"></i></div></div></div>'};


		var backroundPhoto;
		if(jQuery('.marquee').width() > 766 ) {
			backroundPhoto = imageFull
		} else {
			backroundPhoto = imageLarge
		}

		marqueeVars.marqueeImage[index] =   '<div class="marquee_panel '+verticalOrientation+'" style="background-image:url('+backroundPhoto+');" >' +
											'</div>' +
											( textIsEmpty === true ? '' : '<div class="marquee_text_background_2"></div>' );
											
											

		marqueeVars.panelContent[index] = '<div class="ten-twenty-four horiz-padding">' +
								panelCaptionTag+	
								panelDescriptionTag+
								panelDescriptionSmallTag+
								panelDescriptionUpNextTag+
							'</div>';
			
		
	});
	if (marqueeVars.totalPanels == 1) {
		marqueeAdvance; //only run once if there is only a single image
	}
	else{
		setInterval(marqueeAdvance, 100);
		/*marqueeAdvance;*/
	}
	
}

function getWindowHeight(){
	windowHeight = window.innerHeight;
}

jQuery(document).ready(function(){

	getWindowHeight();
	marqueeGatherData();
	marqueeMeasureScreen();
	setDebuger();
	uuGetFixedHeight();

	/****swipe*****/
	jQuery(".marquee").swipeleft(function() {
      marqueeNext();
   });

   jQuery(".marquee").swiperight(function() {
      marqueePrev();
    });	
});
//FIRES NEXT BUTTON CLICK EVENT
jQuery(document).on('click', '.panel_description_up_next', function() { 
	marqueeNext();
 });

jQuery(window).resize(function(){
		getWindowHeight();
		uuGetFixedHeight();
});

function marqueeAdvance(){

	// check browser width
	var browserWidth = jQuery('.marquee').width();
	var currentSize = marqueeVars.screenSize;
	if(browserWidth > marqueeVars.mobileSize){
		var newWidth = 'large';
		marqueeVars.screenSize = 'large';
	}else{
		var newWidth = 'small'
		marqueeVars.screenSize = 'small';
	}
	
	// advance the timer and large marquee
	if (marqueeVars.timePassed == marqueeVars.timeToChange){
		marqueeVars.timePassed = 0;
		if (marqueeVars.autoPlay == true){
			marqueeNext();
		}
	}else{
		marqueeVars.timePassed += 1;
	}
	// detect change in screen size variable
	if(currentSize != newWidth){
		if(marqueeVars.screenSize == 'large'){
			marqueeMultiPanel('large');
		}else{
			marqueeMultiPanel('small');
		}
	}
	setDebuger();
	uuGetFixedHeight();

}


function marqueeMultiPanel(size){

	marqueeVars.timePassed = 0;
	marqueeVars.autoPlay = true;/*SHOULD BE SET TO TRUE FOR PRODUCTION*/

	// clear HTML from marquee and add stage elements
	jQuery('.marquee').html('').append('<div class="marquee_stage_'+size+'"></div>');
	jQuery('.marquee_stage_'+size).append('<div class="marquee_container_1"></div><div class="marquee_nav"></div>');

	// Generate navigation and links

	for(i=0; i<marqueeVars.totalPanels; i++){
		jQuery('.marquee_nav').append('<div></div>');
	}
	
	// Detect hover over marquee
	jQuery('.marquee').hover(
		function(){
			marqueeVars.autoPlay = false;
			jQuery(this).removeClass('autoplay');
		},
		function(){
			marqueeVars.autoPlay = true; /*SHOULD BE SET TO TRUE FOR PRODUCTION*/
			marqueeVars.timePassed = 0;
			jQuery(this).addClass('autoplay');
		}
	);

	// add click events and panel transitions
	jQuery('.marquee_nav div').on('click', function() {
		var navClicked = jQuery(this).index();	
		marqueeAdvanceButtonClicked(navClicked);
		
	});

	// hide the nav element if there is only one slide
	if (marqueeVars.totalPanels == 1) {
		jQuery('.marquee_nav div:first').css( 'display', 'none');
	};

	// hide the nav element if UP NEXT is selected
	if (jQuery('.img-height').attr('data-nav-conditional') == 'up_next') {
		jQuery('.marquee_nav div').css( 'display', 'none');
		jQuery( ".marquee-leading-bar-wrapper, .marquee-leading-bar-wrapper div" ).css( 'display', 'block');
	};

	// auto click first nav element
	jQuery('.marquee_nav div:first').trigger('click');

}



function marqueeMeasureScreen(){
	// measure screen size
	marqueeVars.marqueeWidth = jQuery('.marquee').width();
	if(jQuery('.marquee').width() > 766 ){
		marqueeVars.screenSize = 'large';
		marqueeMultiPanel('large');
	}else{
		marqueeVars.screenSize = 'small';
		marqueeMultiPanel('small')
	}
}

function setDebuger(){
	jQuery('.marqueeWidth').html('marqueeVars.marqueeWidth = '+marqueeVars.marqueeWidth);
	jQuery('.screenSize').html('marqueeVars.screenSize = '+marqueeVars.screenSize);
	jQuery('.autoPlay').html('marqueeVars.autoPlay = '+marqueeVars.autoPlay);
	jQuery('.totalPanels').html('marqueeVars.totalPanels = '+marqueeVars.totalPanels);
	jQuery('.currentPanel').html('marqueeVars.currentPanel = '+marqueeVars.currentPanel);
	jQuery('.timePassed').html('marqueeVars.timePassed = '+marqueeVars.timePassed);
	jQuery('.timeToChange').html('marqueeVars.timeToChange = '+marqueeVars.timeToChange);
	jQuery('.inTansition').html('marqueeVars.inTansition = '+marqueeVars.inTansition);	
}


/* =====================================================================
Parallax Backgrounds
======================================================================= */

// Getting the height of the slideshow on home page and setting it for the desktop only
function uuGetFixedHeight(){
	// getting the height of the scroll-slow div
	var isFullScreen  = jQuery('.img-height').attr('data-full-screen');
	var marqueeHeight = jQuery('.img-height').attr('data-image-height');
	var ssht = jQuery('.scroll-slow').height();
	var height;
	var hasRevSlider = jQuery('#header-rs').hasClass('rs');
	var uuHeaderHt = jQuery('#header-container .uu-site-header').outerHeight();
	
	
	if ( hasRevSlider ) {
		height = ssht;
	}else if(isFullScreen == "true"){
		height = Number(windowHeight) - Number(uuHeaderHt);
		jQuery('.marquee_nav').addClass( 'full-screen-marquee-nav' );
	}else{
		if ( marqueeHeight > windowHeight) {
			height = Number(windowHeight) - Number(uuHeaderHt);
		}else{
			height = marqueeHeight;
		}
	}





	// getting the width of the document body
	var sw = document.body.clientWidth;
	if (imageFull || hasRevSlider) { //don't set the height unless there's at least one image
		if (sw > 950) {
			var fixedHeaderHt = Number(height) + Number(uuHeaderHt);
			jQuery('.fixed-wrapper').height(fixedHeaderHt);
			jQuery('.marquee').height(height);
			jQuery('.marquee_panel').css('background-size', 'cover');

			if (windowHeight <= marqueeHeight) {
				jQuery('.marquee_text_background').css('position', 'fixed');
				jQuery('.marquee_nav').css('position', 'fixed');
			}else if (windowHeight >= marqueeHeight){
				jQuery('.marquee_text_background').css('position', 'absolute');
				jQuery('.marquee_nav').css('position', 'absolute');
			}

			// console.log('Im larger than 950px');
		}else if(sw < 949 && sw > 750){ // THIS IS EQUIVELENT TO 766 MARQUEE WIDTH
			/*jQuery('.fixed-wrapper').height('auto');
			jQuery('.marquee').attr('style', 'min-height:700px');*/
			jQuery('.fixed-wrapper').removeAttr('height');
			jQuery('.marquee').removeAttr('height');
		}
		else{
			/*jQuery('.fixed-wrapper').height('auto');
			jQuery('.marquee').attr('style', 'min-height:400px');*/
			jQuery('.fixed-wrapper').removeAttr('height');
			jQuery('.marquee').removeAttr('height');
		}
	}
	
}
