<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package University of Utah
 */
?>

<?php


  $themeOptions = get_option('utah_theme_options');

  //FALLBACKS FOR OLD THEME OPTIONS VS NEW SETTINGS
  //Department Logo
  $logo_mb = rwmb_meta( 'umctheme_settings_logo', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($logo_mb)) {foreach ($logo_mb as $image) {$department_logo_mb = $image['full_url'];}}
  if (!empty($department_logo_mb)){$department_logo = $department_logo_mb;}elseif(!empty($themeOptions['department_logo'])){$department_logo = $themeOptions['department_logo'];}else{$department_logo='/wp-content/themes/umctheme2/images/global/imagine_u.png';}
  //CIS LINK
  $cis_link_mb = rwmb_meta( 'umctheme_settings_cis_link', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($cis_link_mb)){$cis_link = $cis_link_mb;}elseif(!empty($themeOptions['cis_link'])){$cis_link = $themeOptions['cis_link'];}else{$cis_link='show-cis';}
  //Facebook
  $facebook_mb = rwmb_meta( 'umctheme_settings_facebook', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($facebook_mb)){$facebook = $facebook_mb;}elseif(!empty($themeOptions['facebook_url'])){$facebook = $themeOptions['facebook_url'];}else{$facebook='https://www.facebook.com/universityofutah';}
  //Twitter
  $twitter_mb = rwmb_meta( 'umctheme_settings_twitter', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($twitter_mb)){$twitter = $twitter_mb;}elseif(!empty($themeOptions['twitter_url'])){$twitter = $themeOptions['twitter_url'];}else{$twitter='https://twitter.com/uutah';}
  //Youtube
  $youtube_mb = rwmb_meta( 'umctheme_settings_youtube', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($youtube_mb)){$youtube = $youtube_mb;}elseif(!empty($themeOptions['youtube_url'])){$youtube = $themeOptions['youtube_url'];}else{$youtube='https://youtube.com/theuniversityofutah';}
  //Instagram
  $instagram_mb = rwmb_meta( 'umctheme_settings_instagram', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($instagram_mb)){$instagram = $instagram_mb;}elseif(!empty($themeOptions['instagram_url'])){$instagram = $themeOptions['instagram_url'];}else{$instagram='https://instagram.com/universityofutah/';}
  //Vimeo
  $vimeo_mb = rwmb_meta( 'umctheme_settings_vimeo', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($vimeo_mb)){$vimeo = $vimeo_mb;}elseif(!empty($themeOptions['vimeo_url'])){$vimeo = $themeOptions['vimeo_url'];}else{$vimeo='';}
//Linked In
  $linkedin_mb = rwmb_meta( 'umctheme_settings_linkedin', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($linkedin_mb)){$linkedin = $linkedin_mb;}elseif(!empty($themeOptions['linkedin_url'])){$linkedin = $themeOptions['linkedin_url'];}else{$linkedin='';}
  //Department Name
  $dept_name_mb = rwmb_meta( 'umctheme_settings_dept_name', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($dept_name_mb)){$dept_name = $dept_name_mb;}elseif(!empty($themeOptions['department_name'])){$dept_name = $themeOptions['department_name'];}else{$dept_name='';}
  //Department Address
  $address_1_mb = rwmb_meta( 'umctheme_settings_address_1', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($address_1_mb)){$address_1 = $address_1_mb;}elseif(!empty($themeOptions['department_address'])){$address_1 = $themeOptions['department_address'];}else{$address_1='201 Presidents Circle';}
  //Department Address 2
  $address_2_mb = rwmb_meta( 'umctheme_settings_address_2', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($address_2_mb)){$address_2 = $address_2_mb;}elseif(!empty($themeOptions['department_address2'])){$address_2 = $themeOptions['department_address2'];}else{$address_2='Salt Lake City, UT 84112';}
  //Department phone
  $phone_mb = rwmb_meta( 'umctheme_settings_phone', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($phone_mb)){$phone = $phone_mb;}elseif(!empty($themeOptions['department_phone'])){$phone = $themeOptions['department_phone'];}else{$phone='(801) 581-7200';}
  
?>

	</div><!-- #main container -->

	<?php locate_template( 'page-footer-global.php', TRUE ) ?>

		<div id="footer-container" class="clearfix">
			 <footer class="wrapper clearfix horiz-padding">
					<nav id="bottom-nav" role="navigation">
						<a href="javascript:///" class="bottom-mobile-nav mobile-menu-trigger" rel="bottom">QUICK LINKS <span> </span></a>
				<?php wp_nav_menu( array(
					'theme_location' 	=> 'footer',
					'menu_class' 		=> 'bottom-menu menu-trigger',
					'container' 		=> false,
					'before'      => '<h3>',
					'after'       => '</h3>',
					'items_wrap'    => '<ul id="%1$s" class="%2$s" rel="bottom">%3$s</ul>'
				) ); ?>
					</nav>

					<section class="brand-area clearfix">

						<div class="bottom-brand">
							<div class="spacer">

								<!--<?php if ( ! dynamic_sidebar( 'footer-logo' ) ) : endif; ?> -->

								<?php if ( !empty($department_logo) ) { ?>
									<a class="dept-logo" href="<?php echo site_url(); ?>"><img src="<?php echo $department_logo; ?>" alt="University of Utah Logo" /></a><br />
								<?php } ?>

								<br />

                <div class="socons">

									<ul class="umc-icon-list">
                    <?php if ($cis_link != 'hide-cis') { ?>
                        <li>
                          <a title="CIS login" class="cis-link" href="https://cis.utah.edu/">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/global/icon-cis.svg" alt="CIS Login">
                          </a>
                        </li>
										    <li>
                          <a title="U-Mail" class="umail-link" href="https://www.umail.utah.edu/">
                            <img src="<?php echo get_template_directory_uri(); ?>/images/global/icon-umail.svg" alt="U-Mail">
                          </a>
                        </li>
                    <?php } ?>
										<?php if ( !empty($facebook) ) { ?>
                      <li>
                        <a title="facebook" href="<?php echo $facebook; ?>">
                          <i class="fa fa-facebook" aria-hidden="true"></i>Facebook
                        </a>
                      </li>
										<?php } if ( !empty($twitter) ) { ?>
                      <li>
                        <a title="twitter" href="<?php echo $twitter ?>">
                          <i class="fa fa-twitter" aria-hidden="true"></i>Twitter
                        </a>
                      </li>
										<?php } if ( !empty($youtube) ) { ?>
                      <li>
                        <a title="youtube" href="<?php echo $youtube; ?>">
                          <i class="fa fa-youtube-play" aria-hidden="true">YouTube</i>
                        </a>
                      </li>
										<?php } if ( !empty($instagram) ) { ?>
                      <li>
                        <a title="instagram" href="<?php echo $instagram; ?>">
                          <i class="fa fa-instagram" aria-hidden="true"></i>Instagram
                        </a>
                      </li>
										<?php } if ( !empty($vimeo) ) { ?>
                      <li>
                        <a title="vimeo" href="<?php echo $vimeo; ?>">
                          <i class="fa fa-vimeo" aria-hidden="true"></i>Vimeo
                        </a>
                      </li>
										<?php } if ( !empty($linkedin) ) { ?>
                      <li>
                        <a title="linkdin" href="<?php echo $linkedin; ?>">
                          <i class="fa fa-linkedin" aria-hidden="true"></i>LinkedIn
                        </a>
                      </li>
										<?php } ?>
									</ul>

								</div>

							</div>
						</div>


						<section class="address">
							<div class="spacer">


								<!--<?php if ( ! dynamic_sidebar( 'footer-address' ) ) : endif; ?>-->

								<p>
                  <?php
  									if ( !empty($dept_name) ){ echo $dept_name . '<br />';}
  									if ( !empty($address_1) ){ echo $address_1 . '<br />';}
  									if ( !empty($address_2) ){ echo $address_2 . '<br />';}
  									if ( !empty($phone) ){ echo $phone . '<br />';}
  								?>
								</p>
								<p>
									&copy; <?php echo date("Y"); ?> The University of Utah
								</p>
							</div>
						</section>
					</section>
			 </footer>
			 <div class="footer-bottom-links">
				<section class="fine-print ten-twenty-four">
						<a href="https://www.utah.edu/privacy/" target="_blank">Privacy Policy</a>  |  <a href="https://www.utah.edu/disclaimer/" target="_blank">Disclaimer</a>  |  <a href="https://www.utah.edu/nondiscrimination/" target="_blank">Nondiscrimination &amp; Accessibility</a>
				</section>
			</div>

</div><!-- #footer container -->

<?php wp_footer(); ?>

</div> <!-- End #page-container -->
</body>
</html>
