<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package University of Utah
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<!-- Utah.edu Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-NNDTGR');</script>
<!-- End Utah.edu Google Tag Manager -->
<?php
  $themeOptions = get_option('utah_theme_options');
  $ga_mb = rwmb_meta( 'umctheme_settings_google_analytics', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
  if (!empty($ga_mb)){$uu_ga = $ga_mb;}elseif(!empty($themeOptions['google_analytics'])){$uu_ga = $themeOptions['google_analytics'];}else{$uu_ga='';}
  if ( !empty($uu_ga) ) { ?>
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src='https://www.googletagmanager.com/gtag/js?id=<?php echo $uu_ga; ?>'></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());
      gtag('config', '<?php echo $uu_ga; ?>');
    </script>
  <?php }?>

<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<link rel="icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico">
<link rel="apple-touch-icon-precomposed" href="/wp-content/themes/umctheme2/images/apple-touch-icon.png">
<!-- <link href='http://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'> --> <!-- ,300 ,600 -->
<!-- INCLUDED BY @FONT-FACE, needed to load correctly in all browsers. <link href='http://fonts.googleapis.com/css?family=Open+Sans+Condensed:300' rel='stylesheet' type='text/css' />
 -->
 <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">

 <?php
     $excerpt = !empty($post->post_excerpt) ? get_the_excerpt() : null;
     if (empty($excerpt)) {
         $excerpt = !empty($post->post_content) ? $post->post_content : null;
         $excerpt = strip_shortcodes( $excerpt );
         $excerpt = esc_attr( strip_tags( stripslashes( $excerpt ) ) );
         $excerpt = wp_trim_words( $excerpt, $num_words = 55, $more = NULL );
     }
 ?>

 <?php  if ( ! post_password_required() ) { ?>
 <meta name="description" content="<?php if ( is_singular() && !empty($excerpt)) { echo $excerpt; } else { bloginfo('name'); }?>" />
 <meta property="og:description" content="<?php if ( is_singular() && !empty($excerpt) ) { echo $excerpt; } else { bloginfo('name'); }?>" />
 <meta property="og:title" content="<?php wp_title( '|', true, 'right' ); ?>" />
 <meta property="og:type" content="website" />
 <meta property="og:url" content="<?php echo get_permalink(); ?>" />
 <meta property="og:image" content="<?php echo wp_get_attachment_url(get_post_thumbnail_id($post->ID)); ?>" />
 <?php } ?>


<?php wp_head(); ?>
<!--[if lte IE 8]>
<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
<![endif]-->

<?php

    $hide_title = rwmb_meta( 'umc_meta_hide_title_radio', $args = array(), $post_id = null );

    if ( $hide_title == true ){
        /* add_filter( 'the_title', '__return_false' ); */
        echo'<style>h2.page-title{display:none;}</style>';
    }
?>

</head>

<?php

    $themeOptions = get_option('utah_theme_options');//OLD THEME OPTIONS / SETTINGS
    //FALLBACKS FOR OLD THEME OPTIONS VS NEW SETTINGS
    //Nav Logo
    $dept_logo_mb = rwmb_meta( 'umctheme_settings_logo', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
    if (!empty($dept_logo_mb)) {foreach ($dept_logo_mb as $image) {$nav_logo_mb = $image['full_url'];}}
    if (!empty($nav_logo_mb)) {$nav_logo = $nav_logo_mb;}elseif (!empty($themeOptions['department_logo'])) {$dept_logo = $themeOptions['department_logo'];}else{$dept_logo='';}
    //Subhead Link
    $subhead_link_mb = rwmb_meta( 'umctheme_settings_subhead_link', ['object_type' => 'setting'], 'umctheme_settings' ) ?? '';
    if (!empty($subhead_link_mb)){$subhead_link = $subhead_link_mb;}elseif(!empty($themeOptions['subhead_link'])){$subhead_link = $themeOptions['subhead_link'];}else{$subhead_link='';}
?>

<body class="<?php if(is_front_page()):?><?php echo 'front-page'; ?><?php endif; ?> uu-body">
<!-- Utah.edu Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NNDTGR"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Utah.edu Google Tag Manager (noscript) -->
	<?php locate_template( 'google-tag-manager.php', TRUE ) ?>
    <button id="uu-pushmenu-trigger" class="uu-hamburger uu-hamburger--x">
          <span>MENU</span>
    </button>
                <div id="uu-main-nav" class="force">
                <div id="uu-menu-flags">
                    <div id="uu-flags-container">
                    <?php locate_template( 'menu-flags-custom.php', TRUE ) ?>
                    </div>
                </div>

                <!-- new nav container -->
                <div id="uu-pushmenu-right1" class="uu-pushmenu uu-pushmenu-right">

                  <nav>
                    <!-- menu header -->
                    <header>
                      <!-- site logo -->
                      <?php if ( !empty($nav_logo_mb) ) { ?>
                        <a href="<?php echo site_url(); ?>"><img src="<?php echo $nav_logo_mb; ?>" alt="<?php bloginfo('name'); ?> Logo" /></a>
                      <?php } elseif ( !empty($themeOptions['department_logo']) ) { ?>
                        <a href="<?php echo site_url(); ?>"><img src="<?php echo $themeOptions['department_logo']; ?>" alt="<?php bloginfo('name'); ?> Logo" /></a>
                      <?php } else { ?>
                        <a href="<?php echo site_url(); ?>"><img src="<?php echo get_template_directory_uri() . '/images/global/ulogo@2x.png'; ?>" alt="Imagine U - University of Utah Logo"  /></a>
                      <?php } ?>
                      <!-- end site logo -->
                      <!-- search -->
                      <div class="search-form-wrapper">
                          <div class="clearfix search-wrapper" id="search-site">
                              <?php echo
                              '<form method="get" class="search-form form-search" action="' . esc_url(home_url('/')) . '">
                              <div class="input-group input-append uu-search-container clearfix">
                                  <input type="text"  class="search-input span2 search-query" name="s" placeholder="' . esc_attr_x('Search Site', 'placeholder') . '" value="' . get_search_query() . '" title="' . _x('Search for:', 'label') . '" />
                                  <span class="icon"><i class="fa fa-search"></i></span>
                              </div>
                              </form>' ?>
                          </div>
                          <div class="clearfix search-wrapper" id="search-google" role="search">
                              <div class="uu-search-container">
                              <form action="//gsa.search.utah.edu/search"  method="get">
                                  <label class="visuallyhidden" for="search">Search Campus</label>
                                  <input class="search-input" title="Enter Search Terms" type="text" value="" name="q" />
                                  <input type="hidden" value="default_collection" name="site" />
                                  <input type="hidden" value="MainCampus" name="client" />
                                  <input type="hidden" value="xml_no_dtd" name="output" />
                                  <input type="hidden" value="MainCampus" name="proxystylesheet" />
                                  <input type="hidden" value="10" name="numgm" />
                                  <!--  <input id="search-btn" title="Submit Search" type="submit" value="Search" name="search-btn" /> -->
                                  <span class="icon"><i class="fa fa-search"></i></span>
                              </form>
                              </div>
                          </div>
                      </div>
                      <label class="uu-radio">
                          <input type="radio" name="searchToggle" value="site">
                          <div class="uu-radio__check"></div>
                          Search Site
                      </label>
                      <label class="uu-radio">
                          <input type="radio" name="searchToggle" value="google">
                          <div class="uu-radio__check"></div>
                          Search Campus
                      </label>
                      <!-- end search -->
                    </header>
                    <!-- end menu header -->
                    <!-- menu block -->
                    <div class="menu-block">
                      <!-- menu block header -->
                      <h3 class="uu-side-nav-heading">Main Menu</h3>
                      <hr>
                      <!-- end menu block header -->
                      <!-- nav items -->

                      <?php wp_nav_menu( array(
                          'theme_location'    => 'primary',
                          'menu_class'        => 'uu-primary-menu',
                          'container'         => false,
                          'before'            => '<h3>',
                          'after'             => '</h3>',
                          'items_wrap'        => '<ul id="%1$s" class="%2$s" rel="top">%3$s</ul>'
                      ) ); ?>

                      <?php // locate_template( 'menu-content-custom.php', TRUE ) ?>

                      <!-- end nav items -->
                    </div>
                    <!-- end menu block -->
                    <!-- menu block -->
                    <div class="menu-block">

                      <?php
                      if ( has_nav_menu( 'global_sub' ) ) {
                          $menu_name = 'global_sub';
                          $locations = get_nav_menu_locations();
                          $menu_id = $locations[ $menu_name ] ;
                          $global_menu = wp_get_nav_menu_object($menu_id);

                          if (!empty($menu_id)) {

                              echo '<h3 class="uu-side-nav-heading">' . $global_menu->name . '</h3><hr>';

                              wp_nav_menu( array(
                                  'theme_location'    => 'global_sub',
                                  'menu_class'        => 'uu-primary-menu',
                                  'container'         => false,
                                  'before'            => '<h3>',
                                  'after'             => '</h3>',
                                  'items_wrap'        => '<ul id="%1$s" class="%2$s" rel="top">%3$s</ul>'
                              ) );
                          }
                      }
                      ?>

                      <?php locate_template( 'menu-content-custom.php', TRUE ) ?>

                      <!-- end nav items -->
                    </div>
                    <!-- end menu block -->


                  </nav>
                </div>
                <!-- end new nav container -->




            </div><!-- End uu-main-nav -->

    <div id="page-container">

        <!-- Accessibility Menu -->
        <div class="acc-menu">
          <div class="acc-title">Accessibility Menu</div>
          <div class="acc-inputs">
            <div class="acc-input">
              <label for="jump-sections">Jump To:</label>
              <select class="" name="jump-sections" id="jump-sections">
                <option value="">Select Section</option>
                <option value="menu-main-navigation">Site Navigation</option>
                <option value="search-site">Search This Site</option>
                <option value="search-uofu">Search University of Utah</option>
                <option value="main-content">Main Content</option>
                <option value="footer">Footer</option>
              </select>
            </div>
            <div class="acc-input">
              <label for="jump-pages">More Pages:</label>
              <?php
                  $menu_name = 'primary';

                  if ( ( $locations = get_nav_menu_locations() ) && isset( $locations[ $menu_name ] ) ) {
                      $menu = wp_get_nav_menu_object( $locations[ $menu_name ] );

                      $menu_items = wp_get_nav_menu_items($menu->term_id);

                      $menu_list = '<select id="jump-pages"><option>Select Page</option>';

                      foreach ( (array) $menu_items as $key => $menu_item ) {
                          $title = $menu_item->title;
                          $url = $menu_item->url;
                          $menu_list .= '<option data-target="' . $url . '">' . $title . '</option>';
                      }
                      $menu_list .= '</select>';
                  } else {
                      $menu_list = '<select><option>Menu "' . $menu_name . '" not defined.</option></select>';
                  }

                  echo $menu_list;
              ?>
            </div>
          </div>
          <div class="acc-link">
            <a href="https://digital.utah.edu/resources/web-accessibility/" target="_blank">Accessibility Help</a>
          </div>
          <div class="acc-help">
            Press <span>ctrl</span> + <span>/</span> to access this menu.
          </div>
        </div>
        <!-- End Accessibility Menu -->

        <div id="header-container" class="clearfix parallax-slide uu-parallax-stuck fixed-wrapper" role="banner">

            <!-- START: Header Image conditional -->

            <?php
                if ( function_exists( 'rwmb_meta' ) ){
                    //set up variables
                    $hide_image = rwmb_meta( 'umc_meta_hide_img_checkbox');
                    $old_marquee_img_array = rwmb_meta( 'umc_meta_imgadv', 'type=image&size=full' ); // this is poor naming. umc_meta_imgadv is the id of the old image array. Same name as the new image id.
                    $marquee_image_groups = array();
                    $first_marquee_image = null;
                    if (rwmb_meta( 'umc_marquee_group' )) {
                        $marquee_image_groups = rwmb_meta( 'umc_marquee_group' );
                        if (array_key_exists('umc_meta_imgadv', $marquee_image_groups[0])) {//this is the new image id. umc_meta_imgadv is an image id inside of the umc_marquee_group
                            $first_marquee_image = $marquee_image_groups[0]['umc_meta_imgadv'][0];
                        }else{
                            $first_marquee_image = null;
                        }
                    }
                    $rev_code = rwmb_meta( 'umc_theme_rev_code', $args = array(), $post_id = null ) ?? '';



                    if ( !empty($rev_code)  ) {
                        include (TEMPLATEPATH . '/UMC-marquee/php/load_revslider.php');
                    }
                    else if ( $first_marquee_image != null) {// new marquee
                        include (TEMPLATEPATH . '/UMC-marquee/php/load_marquee.php');
                    }
                    else if ( $old_marquee_img_array != null && empty($hide_image)) {// old marquee - empty() accounts for empty string or '0' value
                        include (TEMPLATEPATH . '/UMC-marquee/php/load_marquee.php');
                    }
                    else { // if metabox is enabled but the user has removed all metabox images
                        include (TEMPLATEPATH . '/UMC-marquee/php/default_header.php');
                     }
                }
                else {
                    include (TEMPLATEPATH . '/UMC-marquee/php/default_header.php');
                }
            ?>

            <!-- END: Header Image conditional -->

    </div> <!-- End Header Container -->

            <div id="main-container" class="parallax-slide">

                <?php if ( (get_page_template_slug( $post->ID ) !== '') && ( ! is_single() ) ) { ?>
                    <style type="text/css">
                        .breadcrumb { margin-left: 1em;}
                    </style>
                <?php } ?>

            <?php locate_template( 'page-top-global.php', TRUE ) ?>
