<?php
/**
 * The main template file for the blog index.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package University of Utah
 */

get_header(); ?>

<div class="container-fluid home">

    <div class="ten-twenty-four row clearfix">
    	<?php if ( ! dynamic_sidebar( 'sidebar-above-columns' ) ) : endif; ?>
    	<div class="two-column-margin">
	    	<div class="col-sm-8 main-channel">

				<div id="primary" class="content-area">
					<main id="main" class="site-main" role="main">
					<div class="content-padding">
					<h2 class="page-title">All Articles</h2>
					<?php if ( have_posts() ) : ?>

						<?php /* Start the Loop */ ?>


							<h2 class="page-title"><?php echo single_cat_title( '', false ); ?></h2>

                        	<?php while (have_posts()) : the_post(); ?>
                        	<?php if ( ! post_password_required() ) { ?>

                            <div class="post-image">

								<?php if ( has_post_thumbnail() ) { ?>
                                <a href="<?php the_permalink() ?>"><?php the_post_thumbnail(); ?></a>
								<?php } ?>
                            </div>
		    				<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		    		        <div class="entry-meta">
								<span class="date"><?php echo get_the_date(); ?></span>
								<div class="social clearfix float-right">
									<?php if ( function_exists( 'ADDTOANY_SHARE_SAVE_KIT' ) ) { ADDTOANY_SHARE_SAVE_KIT(); } ?>
								</div>
							</div><!-- .entry-meta -->
		    		        <div class="entry-content">
		    				<p><?php the_excerpt(); ?></p>
		    				</div>
                            <hr />

                            <?php } ?>

		  					<?php endwhile;?>

                            <div class="nav-older pagination"><?php next_posts_link( 'Older posts' ); ?></div>
                            <div class="nav-newer pagination"><?php previous_posts_link( 'Newer posts' ); ?></div>

						</div>

					<?php else : ?>

					<?php get_template_part( 'content', 'none' ); ?>

					<?php endif; ?>

					</main><!-- #main -->
				</div><!-- #primary -->

			</div>

		</div>

		<?php get_sidebar(); ?>

	</div><!-- #ten twenty four -->

</div><!-- #container fluid -->


<?php get_footer(); ?>
