<?php

add_filter( 'mb_settings_pages', 'umctheme_settings_page' );
function umctheme_settings_page( $settings_page )
{
	$settings_page[] = array(
		'id'            => 'umctheme-settings',
		'option_name'   => 'umctheme_settings',
		'menu_title'    => __( 'Theme Settings', 'textdomain' ),
		'icon_url'      => 'dashicons-admin-generic',
		'submenu_title' => __( 'Theme Settings', 'textdomain' ), // Note this
		'style'       => 'no-boxes',
        'columns'     => 1,
        'tabs'        => array(
            'general' => 'General',
            'contact'  => 'Contact Information',
            'social'     => 'Social Links',
        ),
	);
	return $settings_page;
}

/*
CREATE THEME SETTINGS PAGE
*/


add_filter( 'rwmb_meta_boxes', 'umctheme_settings_meta_boxes' );


function umctheme_settings_meta_boxes( $meta_boxes ){

	$themeOptions = get_option('utah_theme_options');//OLD THEME OPTIONS / SETTINGS
	if (!empty($themeOptions['subhead_link'])){$subhead_link = $themeOptions['subhead_link'];}else{$subhead_link = '';}
	if (!empty($themeOptions['google_analytics'])){$google_analytics = $themeOptions['google_analytics'];}else{$google_analytics = '';}
	if (!empty($themeOptions['department_name'])){$dept_name = $themeOptions['department_name'];}else{$dept_name = '';}
	if (!empty($themeOptions['department_address'])){$address_1 = $themeOptions['department_address'];}else{$address_1 = '201 Presidents Circle';}
	if (!empty($themeOptions['department_address2'])){$address_2 = $themeOptions['department_address2'];}else{$address_2 = 'Salt Lake City, UT 84112';}
	if (!empty($themeOptions['department_phone'])){$phone = $themeOptions['department_phone'];}else{$phone = '(801) 581-7200';}
	if (!empty($themeOptions['facebook_url'])){$facebook = $themeOptions['facebook_url'];}else{$facebook = 'https://www.facebook.com/universityofutah';}
	if (!empty($themeOptions['twitter_url'])){$twitter = $themeOptions['twitter_url'];}else {$twitter = 'https://twitter.com/uutah';};
	if (!empty($themeOptions['youtube_url'])){$youtube = $themeOptions['youtube_url'];}else {$youtube = 'https://youtube.com/theuniversityofutah';};
	if (!empty($themeOptions['instagram_url'])){$instagram = $themeOptions['instagram_url'];}else {$instagram = 'https://instagram.com/universityofutah/';};
	if (!empty($themeOptions['vimeo_url'])){$vimeo = $themeOptions['vimeo_url'];}else {$vimeo = '';};
	if (!empty($themeOptions['linkedin_url'])){$linkedin = $themeOptions['linkedin_url'];}else {$linkedin = '';};



	$prefix = 'umctheme_settings_';
    $meta_boxes[] = array(
        'id'             => 'general',
        'title'          => 'General',
        'settings_pages' => 'umctheme-settings',
        'tab'            => 'general',
        'fields'         => array(

			// IMAGE ADVANCED (WP 3.5+)
			array(
				'name'             => __( 'Department Logo', $prefix ),
				'id'               => "{$prefix}logo",
				'type'             => 'image_advanced',
				'max_file_uploads' => 1,
			),
			// TEXT
			array(
				'name'  => __( 'Google Analytics', $prefix ),
				'id'    => "{$prefix}google_analytics",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $google_analytics,
			),
			// TEXT
			array(
				'name'  => __( 'Subhead Link Override', $prefix ),
				'id'    => "{$prefix}subhead_link",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $subhead_link,
			),
			// CHECKBOX
			//array(
			//	'name' => __( 'Enable logo in push nav', $prefix ),
			//	'id'   => "{$prefix}logo_push_nav",
			//	'type' => 'checkbox',
				// Value can be 0 or 1
			//	'std'  => 1,
			//),
        ),
    );
    $meta_boxes[] = array(
        'id'             => 'contact',
        'title'          => 'Contact',
        'settings_pages' => 'umctheme-settings',
        'tab'            => 'contact',
        'fields'         => array(
            // TEXT
			array(
				'name'  => __( 'Department Name', $prefix ),
				'id'    => "{$prefix}dept_name",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $dept_name,
			),
			// TEXT
			array(
				'name'  => __( 'Address 1', $prefix ),
				'id'    => "{$prefix}address_1",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $address_1,
			),
			// TEXT
			array(
				'name'  => __( 'Address 2', $prefix ),
				'id'    => "{$prefix}address_2",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $address_2,
			),
			// TEXT
			array(
				'name'  => __( 'Phone', $prefix ),
				'id'    => "{$prefix}phone",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $phone,
			),
        ),
    );
    $meta_boxes[] = array(
        'id'             => 'social',
        'title'          => 'Social',
        /*'context'        => 'side',*/
        'settings_pages' => 'umctheme-settings',
        'tab'            => 'social',
        'fields'         => array(

			//Radio button
			array(
			    'name' => 'Display CIS and Umail icons?',
			    'id'   => "{$prefix}cis_link",
			    'type'    => 'radio',
			    // Array of 'value' => 'Label' pairs for radio options.
			    // Note: the 'value' is stored in meta field, not the 'Label'
			    'options' => array(
			        'hide-cis' => 'Hide CIS',
			        'show-cis' => 'Show CIS',
			    ),
			    // Show choices in the same line?
			    'inline' => true,
					'std'    => 'show-cis',
			),
			// TEXT
			array(
				'name'  => __( 'Facebook Page URL', $prefix ),
				'id'    => "{$prefix}facebook",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $facebook,
			),
			// TEXT
			array(
				'name'  => __( 'Twitter URL', $prefix ),
				'id'    => "{$prefix}twitter",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $twitter,
			),
			// TEXT
			array(
				'name'  => __( 'YouTube URL', $prefix ),
				'id'    => "{$prefix}youtube",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $youtube,
			),
			// TEXT
			array(
				'name'  => __( 'Instagram URL', $prefix ),
				'id'    => "{$prefix}instagram",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $instagram,
			),

			// TEXT
			array(
				'name'  => __( 'Vimeo URL', $prefix ),
				'id'    => "{$prefix}vimeo",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $vimeo,
			),
			// TEXT
			array(
				'name'  => __( 'LinkedIn URL', $prefix ),
				'id'    => "{$prefix}linkedin",
				'type'  => 'text',
				'size'  =>  80,
				'std'   => $linkedin,
			),
        ),
    );
    return $meta_boxes;
}
