<?php

add_filter( 'rwmb_meta_boxes', 'umc_theme_register_meta_boxes' );
/**
 * @param array $meta_boxes List of meta boxes
 *
 * @return array
 */
function umc_theme_register_meta_boxes( $meta_boxes )
{
	// Better has an underscore as last sign
	$prefix = 'umc_theme_';
	// 1st meta box
	$meta_boxes[] = array(
		// Meta box id, UNIQUE per meta box. Optional since 4.1.5
		'id'         => 'standard',
		// Meta box title - Will appear at the drag and drop handle bar. Required.
		'title'      => __( 'Revolution Slider Short Code', 'umc_theme' ),
		// Post types, accept custom post types as well - DEFAULT is 'post'. Can be array (multiple post types) or string (1 post type). Optional.
		'post_types' => array( 'post', 'page' ),
		// Where the meta box appear: normal (default), advanced, side. Optional.
		'context'    => 'normal',
		// Order of meta box: high (default), low. Optional.
		'priority'   => 'low',
		// Auto save: true, false (default). Optional.
		'autosave'   => true,
		// List of meta fields
		'fields'     => array(
			// TEXT
			array(
				// Field ID, i.e. the meta key
				'id'    => "{$prefix}rev_code",
				'type'  => 'text',
								// Field description (optional)
				'desc'  => __( 'Entering a Revolution Slider short code will override the Marquee', 'umc_theme' )
			),
		),
	);
	return $meta_boxes;
}