<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package University of Utah
 */

get_header(); ?>

<div class="container-fluid">

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php if ( ! dynamic_sidebar( 'sidebar-top' ) ) : endif; ?>

			<div class="ten-twenty-four row clearfix loop-padding">
			
				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', 'page' ); ?>

					<?php
					//echo 'Snow Totals<br />';
					// Your ID and token
					$authToken = 'c4d605e1a9fe2902a0b081fc7be91ac4c93f0371';
					$url = 'http://skiosk.skiutah.com/feed/resorts';
					// Setup cURL
					$ch = curl_init($url);
					curl_setopt_array($ch, array(
					    CURLOPT_POST => FALSE,
					    CURLOPT_RETURNTRANSFER => TRUE,
					    CURLOPT_HTTPHEADER => array(
					        'Authorization: Token '.$authToken,
					        'Content-Type: application/json'
					    )
					));

					// Send the request
					$response = curl_exec($ch);

					// Check for errors
					if($response === FALSE){
					    die(curl_error($ch));
					}

					// Decode the response
					$responseData = json_decode($response, TRUE);

					// Print the date from the response
					//print_r($responseData);

					$resorts = $responseData;
					foreach ($resorts as $key => $value) {
						echo $value['short_name'] . "&nbsp;&#124;&nbsp;";
						echo "Snow Base:&nbsp;" . $value['snow_base'] . "&#34;&nbsp;&#124;&nbsp;";
						echo "New Snow 24:&nbsp;" . $value['new_snow_24'] . "&#34;&nbsp;&#124;&nbsp;";
						echo "New Snow 48:&nbsp;" . $value['new_snow_48'] . "&#34;&nbsp;&#124;&nbsp;";
						echo "New Snow Since 6 AM:&nbsp;" . $value['new_snow_since_6am'] . "&#34;&nbsp;&#124;&nbsp;";
						echo "Snow Fall YTD:&nbsp;" . $value['snowfall_ytd'] . "&#34;&nbsp;&#124;&nbsp;";
						echo "<br/><br/>";
					}

					?>


					<?php
						// If comments are open or we have at least one comment, load up the comment template
						if ( comments_open() || '0' != get_comments_number() ) :
							comments_template();
						endif;
					?>

				<?php endwhile; // end of the loop. ?>
			</div><!-- #ten twenty four -->

			<?php if ( ! dynamic_sidebar( 'sidebar-bottom' ) ) : endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->


</div><!-- #container fluid -->

<?php get_footer(); ?>
